
public class CheckMathIssue {
	public static void main(String[] args) {
		System.out.println("Operating System: " + System.getProperty("os.name") 
			+ " " + System.getProperty("os.arch")
			+ " " + System.getProperty("os.version"));

		System.out.println("Java: " + System.getProperty("java.version") 
			+ " " + System.getProperty("java.vendor"));

		System.out.println("Java Specification: " + System.getProperty("java.specification.name") 
			+ " " + System.getProperty("java.specification.vendor")
			+ " " + System.getProperty("java.specification.version"));

		System.out.println("Java VM: " + System.getProperty("java.vm.version") 
			+ " " + System.getProperty("java.vm.vendor"));

		System.out.println("Java VM Specification: " + System.getProperty("java.vm.specification.name") 
			+ " " + System.getProperty("java.vm.specification.vendor")
			+ " " + System.getProperty("java.vm.specification.version"));

		double value1 = Math.asin(0.5);
		double value2 = Math.asin(-0.38147821481517075);
		double value3 = StrictMath.asin(0.5);
		double value4 = StrictMath.asin(-0.38147821481517075);
		System.out.println("asin(0.5)= " + value1);
		System.out.println("asin(-0.38147821481517075)= " + value2);
		System.out.println("StrictMath asin(0.5)= " + value3);
		System.out.println("StrictMath asin(-0.38147821481517075)= " + value4);
	}
}
